> ## Documentation Index
> Fetch the complete documentation index at: https://docs.originsai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Providers



## OpenAPI

````yaml https://originshq.b-cdn.net/openapi_sayna.json get /api/llm/providers
openapi: 3.1.0
info:
  title: core
  version: 0.1.0
servers: []
security: []
paths:
  /api/llm/providers:
    get:
      tags:
        - llm
      summary: List Providers
      operationId: list_providers_api_llm_providers_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ProviderResponse'
                type: array
                title: Response List Providers Api Llm Providers Get
components:
  schemas:
    ProviderResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: ProviderResponse

````